Welcome to INDUCTA Revit Link

INDUCTA Revit Link provides an efficient way to exchange data between Revit® and INDUCTA softwares. Installed under Revit Structure program's 'Add-Ins' menu, the link provides easy exportation of Revit model to RCB and SLB model. Vice versa, models from RCB and SLB can be also readily imported into Revit program.

The latest version of INDUCTA Revit Link is compatible with Revit 2026. Please see the following link on INDUCTA website for previous versions:

https://www.inducta.com.au/RevitLink/RevitLink2016.html

SLB is the latest release of INDUCTA's popular SLB design program that provides FEM modeling and design of suspended or slab-on-ground concrete floor systems.

RCB is a 3D modelling and analysis package, coupled with its wide range of design features, it automatically calculates the lateral loads (wind and earthquake loads) and torsion effects, performs the column/wall design, soil-structure interaction and construction stages analysis.


Getting Started

  • Download the link

The latest version of the Link can be downloaded via https://www.inducta.com.au/RevitLink/RevitLink2016.html

Note, since Revit 2015, only 64bit versions are provided. Until 2017 edition, Revit offered Revit Structure as a standalone application or as part of Revit Suite. Please ensure that the appropriate version of the software is downloaded.

  • Install the link

Install the link on a computer which has Revit installed. Once the installation is finished, open Revit (or alternatively Revit Structure for some older versions), a command will appear under the Add-ins > External Tools menu.

  • Start the INDUCTA Revit link

In the example above, pressing the "INDUCTA Revit Link 2026" tool will show the following interface:

The next chapter will outline the procedure to exporting a Revit model to RCB (and SLB).


Exporting a Revit Model

The following steps will show how to export a Revit model to RCB for analysis, however, a similar procedure applies for exporting to SLB.

Step 1 Create/Open a model in Revit.

(Model by Clinton Macuga, courtesy of BG Group Engineers)

Step 2 Open the Revit Link window (" Add-Ins| External Tools | Inducta Revit Link <Year>").

Under 'Export' panel, click the "Read Elements..." button . It will start the the data extraction.

Currently the link supports the following data during exchange:

· Slabs

· Beams

· Columns

· Walls

· Line Loads

· Point Loads

· Load Cases

· Load Combinations

· Level

Check the corresponding boxes in the 'Input' panel to choose which data to read:

Under the Door/window section, the user may choose whether the doors and windows on the walls are to be included in the export and the method of extraction.

  • Option 1: Uses any opening geometry to determine the door/window sizes and locations.
  • Option 2: Uses the door/window openings inserted in walls as Revit family instances.
  • Option 3: No door/window openings are checked - all walls will be completely solid.

When 'Read Elements' is finished, the "Export to RCB" button will be enabled if 'Level to export' is set to 'All levels'. (Otherwise, the "Export to SLB" button will be enabled)

Refer to the Report section after reading elements to find an overview of the imported elements and any warnings/errors found during the extraction.

Refer to the Common Errors - Revit chapter for guidance on warnings/errors found in the report.

Step 3 Save to a RCB data file.

Press the 'Export to RCB' button to proceed and save the data to a .rcbx file to a desired location.

Or, to export one level to a SLB data file , after 'Read Element...' is completed, and select which level to export first in the selection dropdown menu next to "Levels to export".
 The 'Export to SLB' button will be enabled. Press this button to proceed and save the data for the selected level to a .slbx file to a desired location.

Step 4 Open the exported file in RCB.

NOTE: Refer to the Help Manual in RCB for further details with any of the menus [ RCB > Help Tab > Manual ].

Check 'Storey Heights' under [ RCB > Input Tab > Storey Heights ] to remove any unnecessary non-structural levels that may have been exported from Revit as necessary:

The user may review the model in 3D in RCB by selecting the "Views" tab and selecting "3D Views". The following shows an old example with the R/C Building program.

(notice the Roof is not visible in the 3D view, this is because the roof was not concrete mateiral in the Revit data file, which will be ignored by the link during exporting)

Step 5 Mesh to recover the slab thicknesses.

From 'Solve' menu, press the "Mesh" Button [ RCB > Solve Tab > Mesh ]:

During the meshing process, it is common that the user will encounter general warnings/errors that need to be cleaned up prior to the modelling analysis. Refer to the Common Errors - RCB section for tips on resolving these issues if present.

After meshing, the user may verify slab thicknesses quickly by colouring the slab by thickness as shown in the example below:


Revit Modeling Suggestions (for BIM specialists)

To enable a comprehensive and smooth data transfer between Revit and INDUCTA software, Revit Structure model should follow the following recommented rules:

1) SLB and RCB software are specialised for the analysis of reinforced concrete structures. Therefore structural elements that are to be exported should use concrete material.

Slab and wall elements in the Revit model will be exported regardless of their material. Column and beam elements however will not, and their material have to be set to concrete.

To allow the link to recognize the column and beam elements, the family name text of these elements should contain some form of the word "Concrete". User is suggested to use the built-in family symbol for the structural columns or beams, such as "Concrete-Rectangular-Column", "Concrete-Round-Column", "Concrete-Square-Column", "Concrete-Rectangular Beam".

Additionally, please ensure the materials "Physical" properties are correctly set up as concrete in Revit under [ Revit > Manage > Materials > select a concrete material > Physical tab]. If the physical tab does not exist, add it using the "+" button in the "Material Browser" and set the desired concrete properties.

2) Revit is used as a tool by many disciplines, and there may be a lot of information present in a Revit model that is not required for structural modelling in RCB. Note that unlike the procedure for importing the model from CAD, importing from Revit does not involve deleting the unessential elements. It is important to note that only the objects tagged as "Structural" will be imported into RCB.

Structural elements should be marked as 'Structural' and have 'Enable Analytical' checked in the property window (when available).

3) The user should define the primary levels as expected from a structural analysing packege (RCB), for example using 'Basement 1, Ground Level, Level 1,..., Roof'.

Beam, slab, pointload, line load and area load elements should be created on a primary level.

4) The link supports only rectangular and circular shape columns. The family name should include text such as "Circular" (or "Round") for the circular shape columns, for example the built-in "Concrete-Round-Column" type.

5) In RCB, each wall and column element are modeled floor to floor. For example, if a column is continuous through 3 levels (without any slab constrain between its bottom section and top section), in RCB, this column has to be modeled as three columns, one for each level. There is no restriction for the Revit model to be modeled like that, as a matter of fact, Revit link will try to 'make sense' out of it, and create columns/walls floor to floor, but it is error prone, especially there are doors/windows presented on the walls (precast) for example. So in order to be compatible with RCB, make sure model them floor to floor during modeling or 'cleaning up' of the Architechtural Revit model.

See the screenshot example below. The highlighted wall was modeled from mid-height of one level to mid-height of the next level up. It won't be exported to RCB correctly and may even export as overlapping/double full-height elements:

Instead, wall (and column) should modeled from level to level, as shown below for example:

If a Revit model received is an Architectural model, a reasonable amount of time should be spent to 'clean up' the model to be Structural design ready, which includes break up the continuous structural walls or columns into segments.

6) Use Revit built-in tool to insert window and door instances to the hosted wall element.

And use built-in properties 'Width' and 'Height' when reading the data (not using 'Rough Width' and 'Rough Height').

It is noted that Revit Link uses the built-in property descriptions. If the user defines custom naming patterns or renames certain properties for example from "Width" to "W I D T H", this will not be correctly read.

7) Ensure vertical elements line up

Misaligned walls or columns will affect the meshing in slabs. In the image below the meshing error is caused by the column offset. Note that this will depend on the size of the mesh, and the software should be able to handle this case if the mesh is refined.

8) Prepare slab outline as for CAD, extend slab edges past centrelines of walls and columns

As walls are line supports, and columns are point supports in our software, the user has to take care to extend the edge of the slab to the centreline of the wall or column in order to support it. The image below is an example of not following this guideline. As a result, when analysing the exported model in RCB, the slab will have much larger deflection than expected at this span.

9) Footing data exchange is not supported by the link.


Common Errors

This chapter will outline some of the common errors and warnings the user may find during the extraction of Revit models, and after exporting to RCB.

Refer to the relevant chapter for guidance:

  • Revit Link - Reading Elements
  • RCB - Exported Model


Revit

Common Errors - Revit

This chapter will outline some of the common errors and warnings the user may find during the extraction of Revit models after reading elements.

After reading, the report section provides a summary outlining the number of elements imported and any warnings/errors if present. If any warnings/errors are present, the "Error Report" button will be shown.

Pressing the "Error Report" button will display a report similar to the below example (several items have been cut out in the below example for the purposes of brevity):

Warning Description 1 - Not Imported - Analytical Model Does Not Exist

This warning will be found for an element if no analytical information was available in the model to extract data from.

Warning Description 2- Not Imported - Material Is Not Concrete

This warning will be found for columns that have a material set up that is not concrete. The Revit Link only considers concrete column elements. Refer to Revit Modeling Suggestions (for BIM specialists) for additional suggestions.

Warning Description 3 - Not Imported - Not Defined On Level

This warning will be found for beam elements that have properties setting the end points at different levels.

Warning Description 4 - Not Imported - Irregular Shape

This warning will be found for an element of irregular shape that is not rectangular or circular. Currently this is not handled in the software.

Error Description 5 - Imported - But Material Is Not Concrete

This warning will be found for an element that has been imported but the material property is not set to concrete. Generally, this appears for walls that may be of different material, for example, blockwork, or columns which have been set up as concrete but do not have the correct concrete properites set up in Revit. Please ensure the materials "Physical" properties are correctly set up in Revit under [ Revit > Manage > Materials > select a concrete material > Physical tab]. If the physical tab does not exist, add it using the "+" button in the "Material Browser". Refer to Revit manuals or documentation for additional guidance if required.


RCB

Common Errors - RCB

Overview

This chapter will outline some of the common errors and warnings the user may find after exporting the data from Revit using the Revit Link to RCB. Similar tips will apply for SLB.

This serves as a general quick guide for usage with the Revit Link, however, for further details and guidance with modelling using RCB/SLB, please refer to the software's relevant help manual which includes numerous chapters for all topics via [ RCB/SLB > Help Tab > Manual ].

Meshing - Too Many Decimals Warning

During the meshing process, the user will likely encounter the following warning message:

This is due to models in Revit being modelled with high accuracy to several decimal places. In analysis, this is generally unnecessary and rationalisation is advised to reduce the operation time and reliability of the results.

The geometry can be rounded off via [ RCB > Tools Tab > Geometry section > Round Off ].

Meshing - Double/Overlapped Elements

During the meshing process, it is common that the user will encounter errors with double/overlapped walls, beams, or columns in the model, similar to the following example below. These errors will prevent the meshing process from continuing. RCB populates a summary report outlining these elements which the user can find and examine for further action. It is generally advised that the user should determine if the items are identically duplicate and decide on which one to delete appropriately. Refer to Revit Modeling Suggestions (for BIM specialists) chapter for tips on avoiding these errors.

The user can double-click the text within this window to open a text editor with the output information. Elements in the model can be found by pressing "CTRL+F" on the keyboard to open up the "Find Element" tool and entering the corresponding element type and number. An example is shown below.

Meshing - Negative Co-ordinates

During the meshing process, the following error message will display if any of the exported elements have a negative co-ordinate in the RCB system. In RCB, only positive co-ordinates are used.

In RCB, a tool is available to automatically shift the entire model to the positive region via [RCB > Edit Tab > Move > Auto-Shift ].

Column/Wall Design - Label Conflict

When using the Column/Wall Design tools, the following error message will display if any of the exported elements have duplicate labels in RCB.

This is a very common error that users may encounter, as Revit Link will automatically label elements based on the Revit element type (this is so the user can quickly verify the exported data between RCB and Revit), however, in the RCB Design tools, elements must have unique labels as this is how they are identified throughout the building structure. To proceed with using the RCB Design tools, the quickest way to uniquely relabel elements is to 1.) clear all labels and 2.) automatically relabel all elements using the Edit tools available in RCB via [ RCB > Edit Tab > Walls and Columns section > Labelling ]. An example for columns is shown below.

Please refer to the RCB manual tooltip displayed on the message, and other chapters within the manual, for alternative methods (such as manual labelling) to resolve relabel elements if necessary.

Material - Not Set

When exporting the data from Revit to RCB/SLB, some elements may be imported but do not have a material set - refer to the below image for an example.

Generally, this is due to the material properties of the element not being set up correctly as concrete in Revit.
Refer to the chapter Revit Modeling Suggestions on material properties for guidance on setting up the concrete properties in Revit.
However, the user can also easily define these properties within RCB with the following steps:

  1. Press the Material Properties button [ RCB/SLB > Input Tab > Material Properties ]
  2. Specify the desired concrete properties in the row within the Structural Materials window
  3. Select the correct element type when pressing Types [ RCB/SLB > Input Tab > Types ] (Walls is selected in the example below)
  4. Choose the material under the "Material" column
  5. Select the element and change the "Type" property in the Properties window to the desired material as set in Step 4.


Import RCB or SLB model into Revit

The following chapter outlines how to import RCB (.rcbx) or SLB (.slbx) Models into Revit in three simple steps.

1. Revit File Setup

Firstly, open a new project in Revit, and select the Structural Metric template via [ Revit > File > New > Project > Browse (Template File) > "Structural Analysis-DefaultMetric.rte" ]. Currently, only metric units are supported.

2. Select Elements to Import

Open the INDUCTA Revit Link Add-In via [ Revit > Add-Ins Tab > External Tools > INDUCTA Revit Link ] and select/deselect the elements to be imported with the checkboxes.

3. Select Model to Import

Press the relevant Import button for SLB or RCB and browse for the model file to be imported.

If any errors occur during importing, please review the following considerations below. If there are still further issues, please contact INDUCTA to investigate the issue. Include an attachment of the model file if possible.

Note that only one model can be imported on opening the INDUCTA Revit Link.
If you wish to reimport a model and the warning "There is a model opened. Please manually close it first." appears, please close the Revit Link via the button "Exit Link" and then reopen it as per Step 2 to continue.

Import Considerations:

Key considerations while importing elements from SLB or RCB to Revit are as follows:

Geometry:

  • In INDUCTA models, the slab information is contained within the Slab Mesh (for example, slab thickness, openings, pressure loads, etc.).
    • As such, we highly recommend that the model is meshed and saved in SLB or RCB prior to importing in Revit to ensure the geometry information reflects the model accurately.
    • In the case that the model is not meshed, a prompt will warn the user if you still wish to continue.
  • When the mesh information is not available while importing, the slab geometry will be imported based on the geometry lines within the SLB or RCB model.
    • Only closed geometry line groups will be imported as Revit cannot create Floors based on multiple individual lines.
  • Complex columns are currently only partially handled - it will be imported but the dimensions and shape will be set to a default rectangle of size 50mm x 50mm.

Loads:

  • After Revit 2024, loads in Revit must be assigned to an element in the Analytical Model.
    • As such, any loads that are partially located on multiple Revit Floor panels (such as line loads or area loads) will be assigned to one of the floors it is touching.
    • On importing these elements, Revit may display a warning that these load elements are exceeding the slab boundary.
  • Pressure loads require the SLB or RCB model to be meshed before importing to Revit, as mentioned above in the Geometry section.

Revit Families

  • Creating a new Revit project with the Structural Template creates a few of the necessary Structural Families necessary for the importing process.
  • If any families are to be removed, please at least leave one remaining family in each family category section prior to Importing, or alternatively, remove unnecessary families only after the importing process is successfully completed.

Note: Warnings which show up after the importing process are generally safe to ignore, however, should be reviewed by the user. Revit warnings can be displayed again via [ Revit > Manage Tab > Inquiry Section > Warnings ].